import { ScatterBase } from './ScatterBase';
export declare class Scatter extends ScatterBase {
    render(): Promise<void>;
    create_listeners(): void;
    update_colors(model: any, new_colors: any): void;
    update_fill(model: any, fill: any): void;
    update_stroke_width(): void;
    update_stroke(model: any, fill: any): void;
    update_default_opacities(animate: any): void;
    update_marker(model: any, marker: any): void;
    update_default_skew(animate: any): void;
    update_default_size(animate: any): void;
    update_names(animate: any): void;
    color_scale_updated(animate: any): void;
    draw_elements(animate: any, elements_added: any): void;
    draw_legend_elements(elements_added: any, rect_dim: any): void;
    set_default_style(indices: any): void;
    set_drag_style(d: any, i: any, dragged_node: any): void;
    reset_drag_style(d: any, i: any, dragged_node: any): void;
    dot: any;
}
